Subject: [dtn-interest] Our secret is out
From: "vinton g. cerf" <[email-masked]>
To: [email-masked]
Date: Sun, 26 Jan 2003 08:51:26 -0500
List-Id: Delay Tolerant Networking Interest List <dtn-interest.mailman.dtnrg.org>

>Date: Sat, 25 Jan 2003 22:25:58 -0500
>From: Greg Miller 
>
>you've probably seen this a million times by now, but just in case. . .
>
>>Date: Sat, 25 Jan 2003 15:07:05 +0000
>>From: Jon Crowcroft
>>
>>
>>in the old days, routers were quiote small because a packet could be
>>stored as electrons - nowadays, photons are used which are much
>>bigger, so the average 1500 byte packet takes around 10,000 photons,
>>which at 0.42 meters per photon means that you need a lot of real
>>estate for a packet - basically, only the US and Commonwealth of
>>Indpeendnat states and China have enough land to have more than 1
>>router each.
>>
>>luckily, in todays overphotonic networks, queue sizes are only [0-1]
>>packets - if we ran the networks the way we used to with a
>>bandwidth*delay product of buffer a gmpls optical router would have
>>be about the size of the earth-moon orbit....
>>
>>this is of course some of the motivation behind the inter-planetarey
>>internetwork project- most people havnt noticed, but Vint Cerf in his
>>wisdom has managed to pursuade NASA to re-direct some of theior funds
>>to allow us to use the earth-moon orbit to keep ipv6 headers in

Date: Wed, 15 Jan 2003 11:01:47 -0500
From: "vinton g. cerf" <[email-masked]>
To: [email-masked]
Subject: [dtn-interest] Fwd: SpaceDev Spacecraft Performing Well In Orbit
Sender: [email-masked]

--Boundary_(ID_Yr6FJdY4y+kzC/tdVUtujA)
Content-type: multipart/alternative;
 boundary="Boundary_(ID_F81lRaJn6dd85EtNNIuRng)"

--Boundary_(ID_F81lRaJn6dd85EtNNIuRng)
Content-type: text/plain; charset=us-ascii

anybody know if these are unmodified ftp/tcp/ip software packages?

vint

>Date: Wed, 15 Jan 2003 15:46:17 +0000
>From: SpaceDev <[email-masked]>
>Subject: SpaceDev Spacecraft Performing Well In Orbit
>To: [email-masked]
>Reply-to: [email-masked]
>
><http://echo.bluehornet.com/ct/ct.php?t=120606&c=71320168&m=m&type=1>1f167ad.jpg 
>
> 
>SpaceDev Spacecraft Performing Well In Orbit
>1f1686b.jpg
>1f168f7.jpg
>1f16984.jpg 
>
>1f16a06.jpg
>
>SpaceDev (OTCBB: SPDV) announced today that the <http://echo.bluehornet.com/ct/ct.php?t=120607&c=71320168&m=m&type=1>Cosmic Hot Interstellar Plasma Spectrometer (CHIPS) microsatellite is performing well in orbit. 
>
>The satellite was launched at 4:45 p.m. PST on January 12 from Vandenberg Air Force Base.  The first contact with the satellite was made on its first pass over the University of California at Berkeley (UCB) ground station at 6:20 p.m. PST, approximately 95 minutes after its launch.  At the time of this release, the newly developed SpaceDev avionics, software, and power systems all appear to be operating norminally. 
>
>The <http://echo.bluehornet.com/ct/ct.php?t=120608&c=71320168&m=m&type=1>flight computer and <http://echo.bluehornet.com/ct/ct.php?t=120609&c=71320168&m=m&type=1>software have correctly handled commands and performed File Transfer Protocols (FTP) containing satellite status and health data using our TCP/IP communications and secure link over the Internet. "Successful FTP transfers have been performed," said Simon Dawson, mission operations manager for SpaceDev.  "And all operational uplink and downlink data rates have been tested and verified."
>
>The satellite is being operated from the <http://echo.bluehornet.com/ct/ct.php?t=120610&c=71320168&m=m&type=1>Mission Control Center (MCC) located at SpaceDev's corporate headquarters in Poway, CA along with its network of ground stations at UCB, NASA Goddard Space Flight Center's Wallops Flight Facility in Virginia, and Adelaide, Australia. 
>
>"We've maintained a power positive condition at all times and had very successful communications over the Internet," said Jeff Janicik, flight systems director for SpaceDev.  "The operations team's next challenge is to begin operating the attitude control system and achieve 3-axis stabilization of the spacecraft. Shortly thereafter, the SpaceDev/UCB team will be prepared to begin instrument operations."  
>
>I'm very pleased with the initial success of this mission and I want to thank the entire CHIPSat team for all of the hard work that they've put in on this microsatellite project that could help revolutionize the space industry, Dr. Mark Hurwitz at UCB for competitively selecting SpaceDev, and NASA for helping us find a launch for CHIPSat and approving what may be the first in a series of revolutionary microsatellites," said Jim Benson, chairman and chief executive officer of SpaceDev.
>
>SpaceDev had overall responsibility for the design, assembly, integration and testing of the CHIPSat microsatellite as well as designing the entire ground segment and establishing a Mission Control Center at SpaceDev to test and operate the satellite.  
>
>To view a replay of the video of the launch, please <http://echo.bluehornet.com/ct/ct.php?t=120611&c=71320168&m=m&type=1>click here. 
>
>About SpaceDev
>
>SpaceDev creates and sells affordable and innovative space products and solutions to government and commercial enterprises.  SpaceDev products and solutions include the design, manufacture, marketing and operation of sophisticated micro and nanosatellites, hybrid rocket-based orbital Maneuvering and orbital Transfer Vehicles (MTVs) as well as safe sub-orbital and orbital hybrid rocket-based propulsion systems. SpaceDev has been awarded contracts from NASA, National Reconnaissance Organization (NRO), Boeing, Jet Propulsion Laboratory (JPL), California Space Authority (CSA), Air Force Research Lab (AFRL) and several commercial customers.  SpaceDev is also developing commercial hybrid rocket motors and small high performance space vehicles and subsystems.  For more information, visit <http://echo.bluehornet.com/ct/ct.php?t=120606&c=71320168&m=m&type=1>www.spacedev.com. 
>1f16a92.jpg
>1f16b14.jpg<http://echo.bluehornet.com/ct/ct.php?t=120606&c=71320168&m=m&type=1>
>
>This message was intended for: [email-masked]
>We want to provide you with the most relevant information.
>If you wish to change your delivery preferences please visit our
><http://echo.bluehornet.com/phase2/survey1/survey.htm?CID=uaknzx&action=update&eemail=[email-masked]>customer communications preference page.
>If you no longer wish to receive emails from us, 
><http://echo.bluehornet.com/phase2/survey1/survey.htm?CID=uaknzx&action=update&eemail=[email-masked]>click here to unsubscribe.
>Or copy and paste the entire link below into your web browser:
>http://echo.bluehornet.com/phase2/survey1/survey.htm?CID=uaknzx&action=update&eemail=[email-masked]
>If you are having trouble viewing this email or you wish to view it online, please
>copy and paste the entire link below into your web browser:
>http://echo.bluehornet.com/hostedemail/email.htm?h=d4ce8d58dbccac2aec2197cb4ddafa01&CID=71320168
>
><http://www.bluehornet.com>1f16b96.jpg1f16c0e.jpg] 

Vint Cerf
SVP Architecture & Technology
WorldCom
22001 Loudoun County Parkway, F2-4115
Ashburn, VA 20147
703 886 1690 (v806 1690)
703 886 0047 fax

--Boundary_(ID_F81lRaJn6dd85EtNNIuRng)
Content-type: text/html; charset=us-ascii

<html>
anybody know if these are unmodified ftp/tcp/ip software
packages?<br><br>
vint<br><br>
<br>
<blockquote type=cite class=cite cite>Date: Wed, 15 Jan 2003 15:46:17
+0000<br>
From: SpaceDev &lt;[email-masked]&gt;<br>
Subject: SpaceDev Spacecraft Performing Well In Orbit<br>
To: [email-masked]<br>
Reply-to: [email-masked]<br><br>
<a href="http://echo.bluehornet.com/ct/ct.php?t=120606&amp;c=71320168&amp;m=m&amp;type=1"><img src="cid:[email-masked]" alt="1f167ad.jpg"></a>&nbsp;<br><br>
&nbsp;<br>
<div align="center"><font face="verdana" color="#FFFFFF"><b>SpaceDev
Spacecraft Performing Well In Orbit</b></font><br>
</div>
<img src="cid:[email-masked]" width=36 height=38 alt="1f1686b.jpg"><br>
<img src="cid:[email-masked]" width=600 height=23 alt="1f168f7.jpg"><br>
<img src="cid:[email-masked]" width=10 height=8 alt="1f16984.jpg">&nbsp;<br><br>
<img src="cid:[email-masked]" alt="1f16a06.jpg"><br><br>
<font face="Verdana" size=1>SpaceDev (OTCBB: SPDV) announced today that
the
<a href="http://echo.bluehornet.com/ct/ct.php?t=120607&amp;c=71320168&amp;m=m&amp;type=1">Cosmic
Hot Interstellar Plasma Spectrometer (CHIPS) microsatellite</a> is
performing well in orbit. <br>
</font><br>
<font face="Verdana" size=1>The satellite was launched at 4:45 p.m. PST
on January 12 from Vandenberg Air Force Base.&nbsp; The first contact
with the satellite was made on its first pass over the University of
California at Berkeley (UCB) ground station at 6:20 p.m. PST,
approximately 95 minutes after its launch.&nbsp; At the time of this
release, the newly developed SpaceDev avionics, software, and power
systems all appear to be operating norminally. <br>
</font><br>
<font face="Verdana" size=1>The
<a href="http://echo.bluehornet.com/ct/ct.php?t=120608&amp;c=71320168&amp;m=m&amp;type=1">flight
computer</a> and
<a href="http://echo.bluehornet.com/ct/ct.php?t=120609&amp;c=71320168&amp;m=m&amp;type=1">software</a>
have correctly handled commands and performed File Transfer Protocols (FTP) containing satellite status and health data using our TCP/IP communications and secure link over the Internet. &quot;Successful FTP transfers have been performed,&quot; said Simon Dawson, mission operations manager for SpaceDev.&nbsp; &quot;And all operational uplink and downlink data rates have been tested and verified.&quot;<br>
</font><br>
<font face="Verdana" size=1>The satellite is being operated from the <a href="http://echo.bluehornet.com/ct/ct.php?t=120610&amp;c=71320168&amp;m=m&amp;type=1">Mission Control Center (MCC)</a> located at SpaceDev's corporate headquarters in Poway, CA along with its network of ground stations at UCB, NASA Goddard Space Flight Center's Wallops Flight Facility in Virginia, and Adelaide, Australia. <br>
</font><br>
<font face="Verdana" size=1>&quot;We've maintained a power positive condition at all times and had very successful communications over the Internet,&quot; said Jeff Janicik, flight systems director for SpaceDev.&nbsp; &quot;The operations team's next challenge is to begin operating the attitude control system and achieve 3-axis stabilization of the spacecraft. Shortly thereafter, the SpaceDev/UCB team will be prepared to begin instrument operations.&quot;&nbsp; <br>
</font><br>
<font face="Verdana" size=1>I'm very pleased with the initial success of this mission and I want to thank the entire CHIPSat team for all of the hard work that they've put in on this microsatellite project that could help revolutionize the space industry, Dr. Mark Hurwitz at UCB for competitively selecting SpaceDev, and NASA for helping us find a launch for CHIPSat and approving what may be the first in a series of revolutionary microsatellites,&quot; said Jim Benson, chairman and chief executive officer of SpaceDev.<br>
</font><br>
<font face="Verdana" size=1>SpaceDev had overall responsibility for the design, assembly, integration and testing of the CHIPSat microsatellite as well as designing the entire ground segment and establishing a Mission Control Center at SpaceDev to test and operate the satellite.&nbsp; <br>
</font><br>
<font face="verdana" size=1>To view a replay of the video of the launch, please <a href="http://echo.bluehornet.com/ct/ct.php?t=120611&amp;c=71320168&amp;m=m&amp;type=1">click here.</a> <br>
</font><br>
<font face="verdana" size=1><b>About SpaceDev<br>
</b></font><br>
<font face="verdana" size=1>SpaceDev creates and sells affordable and innovative space products and solutions to government and commercial enterprises.&nbsp; SpaceDev products and solutions include the design, manufacture, marketing and operation of sophisticated micro and nanosatellites, hybrid rocket-based orbital Maneuvering and orbital Transfer Vehicles (MTVs) as well as safe sub-orbital and orbital hybrid rocket-based propulsion systems. SpaceDev has been awarded contracts from NASA, National Reconnaissance Organization (NRO), Boeing, Jet Propulsion Laboratory (JPL), California Space Authority (CSA), Air Force Research Lab (AFRL) and several commercial customers.&nbsp; SpaceDev is also developing commercial hybrid rocket motors and small high performance space vehicles and subsystems.&nbsp; For more information, visit <a href="http://echo.bluehornet.com/ct/ct.php?t=120606&amp;c=71320168&amp;m=m&amp;type=1">www.spacedev.com</a>. <br>
</font><img src="cid:[email-masked]" width=10 height=8 alt="1f16a92.jpg"><br>
<img src="cid:[email-masked]" width=10 height=8 alt="1f16b14.jpg"><a href="http://echo.bluehornet.com/ct/ct.php?t=120606&amp;c=71320168&amp;m=m&amp;type=1"><br>
</a><br>
<font face="Verdana" size=1 color="#999999"><b>This message was intended for: [email-masked]<br>
We want to provide you with the most relevant information.<br>
If you wish to change your delivery preferences please visit our<br>
<a href="http://echo.bluehornet.com/phase2/survey1/survey.htm?CID=uaknzx&amp;action=update&amp;eemail=[email-masked]">customer communications preference page</a>.<br>
If you no longer wish to receive emails from us, <br>
<a href="http://echo.bluehornet.com/phase2/survey1/survey.htm?CID=uaknzx&amp;action=update&amp;eemail=[email-masked]">click here</a> to unsubscribe.<br>
Or copy and paste the <i>entire</i> link below into your web browser:<br>
<a href="http://echo.bluehornet.com/phase2/survey1/survey.htm?CID=uaknzx&amp;action=update&amp;eemail=[email-masked]" eudora="autourl">http://echo.bluehornet.com/phase2/survey1/survey.htm?CID=uaknzx&amp;action=update&amp;eemail=[email-masked]</a><br>
If you are having trouble viewing this email or you wish to view it online, please<br>
copy and paste the <i>entire</i> link below into your web browser:<br>
<a href="http://echo.bluehornet.com/hostedemail/email.htm?h=d4ce8d58dbccac2aec2197cb4ddafa01&amp;CID=71320168" eudora="autourl">http://echo.bluehornet.com/hostedemail/email.htm?h=d4ce8d58dbccac2aec2197cb4ddafa01&amp;CID=71320168</a><br><br>
<a href="http://www.bluehornet.com"><img src="cid:[email-masked]" alt="1f16b96.jpg"></a></b></font><img src="cid:[email-masked]" width=1 height=1 alt="1f16c0e.jpg"></b>] </blockquote>
<x-sigsep><p></x-sigsep>
Vint Cerf<br>
SVP Architecture &amp; Technology<br>
WorldCom<br>
22001 Loudoun County Parkway, F2-4115<br>
Ashburn, VA 20147<br>
703 886 1690 (v806 1690)<br>
703 886 0047 fax<br>
</html>

--Boundary_(ID_F81lRaJn6dd85EtNNIuRng)--

--Boundary_(ID_Yr6FJdY4y+kzC/tdVUtujA)
Content-id: <[email-masked]>
Content-type: image/jpeg; x-mac-creator=4A565752; x-mac-type=4A504547;
 name=1f167ad.jpg
Content-transfer-encoding: base64
Content-disposition: inline; filename=1f167ad.jpg

--Boundary_(ID_Yr6FJdY4y+kzC/tdVUtujA)
Content-id: <[email-masked]>
Content-type: image/jpeg; x-mac-creator=4A565752; x-mac-type=4A504547;
 name=1f1686b.jpg
Content-transfer-encoding: base64
Content-disposition: inline; filename=1f1686b.jpg

--Boundary_(ID_Yr6FJdY4y+kzC/tdVUtujA)
Content-id: <[email-masked]>
Content-type: image/jpeg; x-mac-creator=4A565752; x-mac-type=4A504547;
 name=1f168f7.jpg
Content-transfer-encoding: base64
Content-disposition: inline; filename=1f168f7.jpg

--Boundary_(ID_Yr6FJdY4y+kzC/tdVUtujA)
Content-id: <[email-masked]>
Content-type: image/jpeg; x-mac-creator=4A565752; x-mac-type=4A504547;
 name=1f16984.jpg
Content-transfer-encoding: base64
Content-disposition: inline; filename=1f16984.jpg

--Boundary_(ID_Yr6FJdY4y+kzC/tdVUtujA)
Content-id: <[email-masked]>
Content-type: image/jpeg; x-mac-creator=4A565752; x-mac-type=4A504547;
 name=1f16a06.jpg
Content-transfer-encoding: base64
Content-disposition: inline; filename=1f16a06.jpg

--Boundary_(ID_Yr6FJdY4y+kzC/tdVUtujA)
Content-id: <[email-masked]>
Content-type: image/jpeg; x-mac-creator=4A565752; x-mac-type=4A504547;
 name=1f16a92.jpg
Content-transfer-encoding: base64
Content-disposition: inline; filename=1f16a92.jpg

--Boundary_(ID_Yr6FJdY4y+kzC/tdVUtujA)
Content-id: <[email-masked]>
Content-type: image/jpeg; x-mac-creator=4A565752; x-mac-type=4A504547;
 name=1f16b14.jpg
Content-transfer-encoding: base64
Content-disposition: inline; filename=1f16b14.jpg

--Boundary_(ID_Yr6FJdY4y+kzC/tdVUtujA)
Content-id: <[email-masked]>
Content-type: image/jpeg; x-mac-creator=4A565752; x-mac-type=4A504547;
 name=1f16b96.jpg
Content-transfer-encoding: base64
Content-disposition: inline; filename=1f16b96.jpg

--Boundary_(ID_Yr6FJdY4y+kzC/tdVUtujA)
Content-id: <[email-masked]>
Content-type: image/jpeg; x-mac-creator=4A565752; x-mac-type=4A504547;
 name=1f16c0e.jpg
Content-transfer-encoding: base64
Content-disposition: inline; filename=1f16c0e.jpg

--Boundary_(ID_Yr6FJdY4y+kzC/tdVUtujA)--

Date: Mon, 13 Jan 2003 12:13:42 -0500
From: "vinton g. cerf" <[email-masked]>
To: [email-masked], [email-masked]
Subject: [dtn-interest] Fwd: Re: Comments on IPN document and meeting
Sender: [email-masked]

folks, I thought you might want to look at these results from
caltech - I asked Steven how they work out in the presence of
packet loss.

vint

>Date: Sun, 12 Jan 2003 20:35:28 -0800
>From: Steven Low <[email-masked]>
>Subject: Re: Comments on IPN document and meeting
>To: "vinton g. cerf" <[email-masked]>
>X-Accept-Language: en-us
>User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:0.9.4.1)
> Gecko/20020508 Netscape6/6.2.3
>
>Hi Vint
>
>I apologize again for missing your talk.  I have been
>looking forward to your visit to tell you about our
>recent work on TCP and get your feedback.
>
>Mounting empirical evidence suggests that the congestion
>control algorithm in TCP cannot scale to the future ultrascale
>networks that must can provide >100Gbps throughput end
>to end over large distance with delays 100-200ms (and there
>is now a theoretical understanding of this problem).   This
>has led to serious doubt about whether the current TCP/IP
>paradigm of end-to-end control coupled with packet
>multiplexing itself is suitable for the future networks.
>
>We believe that the current TCP/IP paradigm, which has worked
>so well in the past, can scale into the future, if we make the
>congestion control algorithm in TCP scalable to high capacity
>large distance environment.   This is the goal of our FAST proejct:
>       http://netlab.caltech.edu/FAST/
>
>We have started to implement some of the theoretical advances
>and have obtained preliminary but exciting experimental results.
>In summary, our TCP kernel sustained 925Mbps
>average throughput, or 95% utilization, over long
>distance and extended period, with a single TCP
>flow, Gigabit Ethernet card, using standard MTU,
>1.9 times the current record.  With 10 flows, it sustained
>8.6Gbps or 88% utilization, 6.3 times the current
>record.   More details are on the above website.
>
>The exciting part is that it works with
>the current routers and only needs sender-side
>kernel modification and hence is deployable now
>at data centers that need to stream out gigantic
>files globally.  We are working actively with high
>energy physics community to test our FAST kernel
>in real networks.
>
>We'd appreciate your feedback, and if you know
>of other communities/applications that need to transfer
>huge files over large distance, we'd love to hear from
>you.
>
>Thanks and best regards
>Steven
>

To: [email-masked]
Date: Fri, 10 Jan 2003 17:30:13 -0800
From: Kevin Fall <[email-masked]>
Subject: [dtn-interest] SCTP for DTN in Internet-like regions?
Sender: [email-masked]

I have been recently looking over the specs for SCTP, and have come to the
conclusion that it might make a more desirable transport for DTN in Internet
like regions [with reasonably low rtt, due to the initial handshake it has].

Does anyone here have any experience with SCTP?

- Kevin

Date: Wed, 08 Jan 2003 20:48:53 +0100
From: Benja Fallenstein <[email-masked]>
To: [email-masked]
Subject: [dtn-interest] Any progress towards code release?
Sender: [email-masked]

Hi all,

has there been any progress towards releasing the existing DTN code? Is 
   it already possible to tell when a release can be expected?

I'm waiting for it ;-)

Cheers!
- Benja

Date: Thu, 02 Jan 2003 10:13:43 -0800
To: [email-masked]
From: Scott Burleigh <[email-masked]>
Subject: Re: [dtn-interest] congestion in IPN
Sender: [email-masked]

At 04:27 AM 12/30/2002 -0500, [email-masked] wrote:
>1. Quoting from section 8.3 of the latest DTN Architecture Internet Draft:
>
>'One view of congestion control is as follows: "Congestion control is
>concerned with allocating the resources in a network such that the network
>can operate at an acceptable performance level when the demand exceeds or
>is near the capacity of the network resources. These resources include
>bandwidths of links, buffer space (memory), and processing capacity at
>intermediate nodes. Congestion occurs when the demand is greater than the
>available resources." [RJ90]'
>
>My understanding of resource constraints in the IPN is that Bandwidth is
>the most precious/valuable resource, followed by processing capacity and
>buffer space respectively.  Am I right? What would it translate to
>quantitively?

Interplanetary transmission rates have historically ranged from around 10 
bps up to 256 Kbps; the proposed Mars relay satellite may be able to manage 
something on the order of 800 Kbps, maybe a megabit.   A major mission 
might be in communication with Earth as much as 16 hours per 
day.  Processing capacity improves as flight computer technology advances; 
think PowerPC, but always 3-6 years behind the current chips 
(re-engineering for radiation tolerance takes time), with maybe 128-256 Meg 
of DRAM.  Non-volatile buffer space is typically provided by a solid-state 
recorder; for a big spacecraft the SSR capacity might be on the order of 
tens of gigabytes.

>2. One way to check congestion on the terrestrial Internet is by
>calculating the average queue length. This parameter may not be applicable
>to IPN since it has been designed as a store and forward network, that
>actually *expects* to have a large(how large?) queue.

Depends on a lot of factors: data rates, contact durations, mission plans, 
how the applications are written.  I can imagine gigabytes of data queued 
up waiting for a download opportunity.

>3. It has been shown by John Nagle (in RFC 970) that even in the
>hypothetical case of a datagram network with infinite storage, congestion
>will occur under overload. When packets arrive at a node at a rate higher
>than they leave, a queue will build up delaying each successive packet with
>the results that all packets will time out and be dropped. By analogy, even
>if we have a large buffer space in the IPN, packets will drop out on
>overload. How soon they drop depends on their lifetimes. From the DTN
>draft, packets (bundles) are designed to have large lifetimes.
>
>*How large* do we actually expect the lifetimes to be? Has any work been
>done on this?

I don't think we've done any real work on this at all.  There are tricky 
issues.  For example, if you've got an 8-hour gap between contact 
opportunities, toward the end of a contact it probably doesn't make sense 
to enqueue data with lifetime less than 8 hours plus the one-way light time 
to the destination; but what about earlier in the contact?  How would you 
go about calculating a reasonable lifetime for a given bundle?  And is that 
calculation the responsibility of the application or the Bundling system -- 
or a negotiation between the two?  This is not yet obvious, at least not to me.

Scott